Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Delete Work Order Incident ID DELETEUpdate Work Order Incident PUTUpdate Work Order Job Status PUTDelete Work Order Site Revisit DELETEUpdate Work Order Site Revisit PUTList Work Order Site Revisits GETCreate Work Order Site Revisit POST

Resources

WorkflowRevisits

Delete Work Order Incident ID


Remove the incident ID from the work order.

DELETE
/api/rest/v2/workorders/{work_order_id}/incident

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

curl -X DELETE "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/incident"
{
  "revisits": [],
  "job_status": {
    "status": "pending",
    "reason": {
      "id": 123,
      "label": "string_value"
    },
    "history": []
  },
  "incident_id": "string_value",
  "related_work_orders": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

List Work Order Milestones GET

Previous Page

Update Work Order Incident PUT

Next Page

curl -X DELETE "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/incident"